Method: firstPartyAndPartnerAudiences.editCustomerMatchMembers

更新目标客户匹配受众群体的成员列表。

仅支持以下 audienceType:

  • CUSTOMER_MATCH_CONTACT_INFO
  • CUSTOMER_MATCH_DEVICE_ID

HTTP 请求

POST https://displayvideo.googleapis.com/v4/firstPartyAndPartnerAudiences/{firstPartyAndPartnerAudienceId}:editCustomerMatchMembers

网址采用 gRPC 转码语法。

路径参数

参数
firstPartyAndPartnerAudienceId

string (int64 format)

必需。要修改其成员的目标客户匹配 FirstPartyAndPartnerAudience 的 ID。

请求正文

请求正文中包含结构如下的数据:

JSON 表示法
{
  "advertiserId": string,

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "addedContactInfoList": {
    object (ContactInfoList)
  },
  "addedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.

  // The following is a list of mutually exclusive fields. At most one of the
  // fields will be set in a response:
  "removedContactInfoList": {
    object (ContactInfoList)
  },
  "removedMobileDeviceIdList": {
    object (MobileDeviceIdList)
  }
  // End of mutually exclusive fields.
}
字段
advertiserId

string (int64 format)

必需。更新后的“目标客户匹配第一方和第三方受众群体”的所有者广告客户的 ID。

要添加到目标客户匹配受众群体中的会员。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
addedContactInfoList

object (ContactInfoList)

仅限输入。用于定义要添加的成员的联系信息列表。

addedMobileDeviceIdList

object (MobileDeviceIdList)

仅限输入。用于定义要添加的成员的移动设备 ID 列表。

互斥字段的结束。
要从目标客户匹配受众群体中移除的成员。以下是互斥字段的列表。在响应中,最多只能设置以下字段之一:
removedContactInfoList

object (ContactInfoList)

仅限输入。用于指定要移除的成员的联系信息列表。

removedMobileDeviceIdList

object (MobileDeviceIdList)

仅限输入。用于定义要移除的成员的移动设备 ID 列表。

互斥字段的结束。

响应正文

针对 FirstPartyAndPartnerAudienceService.EditCustomerMatchMembers 的响应。

如果成功,响应正文将包含结构如下的数据:

JSON 表示法
{
  "firstPartyAndPartnerAudienceId": string
}
字段
firstPartyAndPartnerAudienceId

string (int64 format)

必需。更新后的目标客户匹配第一方和合作伙伴受众群体的 ID。

授权范围

需要以下 OAuth 范围:

  • https://www.googleapis.com/auth/display-video

如需了解详情,请参阅 OAuth 2.0 Overview。